accessionToUID {annotate} | R Documentation

## A function to convert accession values to NCBI UIDs.

### Description

Given one or more accession values, this function will attempt to convert them into NCBI UID values.

### Usage

    accessionToUID(...,db=c("genbank","pubmed"))

### Arguments

`...` | Accession numbers to be transformed.
`db` | Which database this accession number refers to, defaults to Genbank

### Details

Utilizes the PubMed tool pmqty.cgi to convert an accession number into a valid NCBI UID number.

WARNING: The powers that be at NCBI have been known to ban the IP addresses of users who abuse their servers (currently defined as less then 2 seconds between queries). Do NOT put this function in a type loop or you may find your access revoked.

### Value

Returns either a valid NCBI UID value or NULL (if there was nothing available).

### Author(s)

Jeff Gentry

### See Also

`pubmed`, `locuslinkByID`, `locuslinkQuery`, `xmlTreeParse`

### Examples

         ## 2005-10-13: NCBI URLs responding with encoding issue,
         ## commenting out example:
         ## ## The two returns from genbank should be the same
         ## genbank("U03397",type="accession",disp="data")
         ## x <- accessionToUID("U03397",db="genbank")
         ## genbank(x, type="uid",disp="data")
         ##
         ## ## Can handle multiple inputs
         ## accessionToUID("M16653","U892893",db="pubmed")

[Package annotate version 1.8.0 Index]